Subject: bug#57907: 29.0.50; Using keywords with cl-loop

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Sep 2022 14:37:33 +0200

Philip Kaludercic <[email-masked]> writes:

> Why would this be necessary?  I am not saying that `cl-loop' should be
> converted into a proper keyword-macro, just that each `:foo' in a
> loop-keyword position ought to be interpreted as `foo'.

You said that cl-loop would be more comfortable if "it doesn't have to
feel like you are using a whole new language, but instead these are
just keyword arguments to an unusual function call".

I'm pointing out that this is wrong -- they are not keyword arguments,
and if you think that they are, you're going to be using it wrong.

In other words, it is a whole new language, not just keyword arguments.